Bug 213827 - net/wpa_gui: Update to 2.6
Summary: net/wpa_gui: Update to 2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on: 214272
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-27 06:44 UTC by Jochen Neumeister
Modified: 2016-11-17 20:10 UTC (History)
4 users (show)

See Also:


Attachments
patch (1.34 KB, patch)
2016-10-27 06:44 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff
minor change to original diff (970 bytes, patch)
2016-10-28 19:09 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff
patch (2.84 KB, patch)
2016-10-31 16:35 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2016-10-27 06:44:08 UTC
Created attachment 176212 [details]
patch

Update

poudriere build fine for:
9.3 amd + i386
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r307551)

portlint is also fine.

make test is fine, too.


Note: i am not sure about the patches: after "make patch" and "make makepatch" there is only one patch now - 2 old patches are deleted. I am not sure if this is correct. 

Can please an Maintainer have a look at this, and give me an feedback? Thanks

Cheers
Jochen
Comment 1 Jochen Neumeister freebsd_committer 2016-10-27 06:44:48 UTC
Comment on attachment 176212 [details]
patch

Port has no maintainer, implicit approval
Comment 2 Joseph Mingrone freebsd_committer 2016-10-28 16:19:08 UTC
The patch looks good, although only the timestamp in files/patch-wpagui.cpp was updated, so that change isn't necessary.

I've tested a bit.  It seems to work ok with the base wpa_supplicant.  Is files/pkg-message.in still necessary?
Comment 3 Joseph Mingrone freebsd_committer 2016-10-28 19:09:57 UTC
Created attachment 176251 [details]
minor change to original diff
Comment 4 Jochen Neumeister freebsd_committer 2016-10-31 16:35:49 UTC
Created attachment 176347 [details]
patch
Comment 5 Jochen Neumeister freebsd_committer 2016-10-31 16:37:48 UTC
The new diff deleted 2 old patches. Timestamp is now in the distinfo
Comment 6 Joseph Mingrone freebsd_committer 2016-10-31 19:07:09 UTC
Under review: https://reviews.freebsd.org/D8401
Comment 7 Joseph Mingrone freebsd_committer 2016-11-03 23:38:04 UTC
FYI, it's taking a little time because I'm going to try and commit this at the same time as an update of security/wpa_supplicant to version 2.6.  That way, the versions of the two ports in the tree will match.
Comment 8 commit-hook freebsd_committer 2016-11-17 20:09:44 UTC
A commit references this bug:

Author: jrm
Date: Thu Nov 17 20:08:49 UTC 2016
New revision: 426297
URL: https://svnweb.freebsd.org/changeset/ports/426297

Log:
  net/wpa_gui: update to version 2.6

  While here,

  - add LICENSE_FILE
  - minor change to PLIST_FILES
  - update silence/verbose in do-install target

  PR:		213827
  Submitted by:	joneum@bsdproject.de
  Approved by:	AMDmi3 (mentor) swills (mentor)
  Differential Revision:	D8401

Changes:
  head/net/wpa_gui/Makefile
  head/net/wpa_gui/distinfo
  head/net/wpa_gui/files/pkg-message.in
Comment 9 Joseph Mingrone freebsd_committer 2016-11-17 20:10:58 UTC
Committed.  Thanks!